Bug 1000992 - quota build 3: list still shows large number for soft limit
quota build 3: list still shows large number for soft limit
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Krutika Dhananjay
: ZStream
Depends On:
  Show dependency treegraph
Reported: 2013-08-26 05:27 EDT by Saurabh
Modified: 2016-01-19 01:12 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-
Doc Type: Bug Fix
Doc Text:
Cause: This bug results from not initialising variables appropriately before using them. Consequence: The junk value is written to the glusterfs.quota.limit-set xattr in the backend for the directory on which it is desired to set the hard limit. The same junk value, therefore, gets displayed in the output of 'quota list'. Fix: Initialised the local variable to all zeroes before using it. Result: Now the correct value of the soft-limit is displayed in the output of 'quota list'.
Story Points: ---
Clone Of:
Last Closed: 2013-11-27 10:33:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-08-26 05:27:25 EDT
Description of problem:
large value for soft limit is still displayed, which was assumed to be fixed by now.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enable quota
2. set some limit
3. quota list

Actual results:
[root@rhsauto034 ~]# gluster volume quota dist-rep3 list /
                  Path                   Hard-limit Soft-limit   Used  Available
/                                          1.0GB 1251945038655630689       1.0GB  0Bytes
[root@rhsauto034 ~]# 

Expected results:
it should be percentage

Additional info:
Comment 8 errata-xmlrpc 2013-11-27 10:33:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.